Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class DropDown

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx
              echopointng.AbleComponent
                  echopointng.PopUp
                      echopointng.DropDown

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Expandable, Heightable, Insetable, MouseCursorable, Sizeable, ToolTipable, Widthable, java.io.Serializable, RenderIdSupport

Direct Known Subclasses:
  CalculatorField, ComboBox, DateField

    public class DropDown

extends PopUp

`DropDown` is a type of `PopUp` that (by default) shows its floating box below and to the left of the target component. The user must "click" on the toggle to show the drop down box.

`DropDown` is a convenience class for creating a popup that "drops down" below its associated target component, much like a standard SelectField.

See Also:
  Serialized Form

Field Summary
`static Alignment` | `DEFAULT_ALIGNMENT` The default alignment for the floating box is left/bottom
`static Style` | `DEFAULT_STYLE` This DEFAULT_STYLE is applied to the popup to give it a series of borders and background colors

Fields inherited from class echopointng.PopUp
`DEFAULT_TOGGLE_ICON, DEFAULT_TOGGLE_PRESSED_ICON, DEFAULT_TOGGLE_ROLLOVER_ICON, PROPERTY_POPUP, PROPERTY_POPUP_ALIGNMENT, PROPERTY_POPUP_ALWAYS_ON_TOP, PROPERTY_POPUP_BACKGROUND, PROPERTY_POPUP_BORDER, PROPERTY_POPUP_INSETS, PROPERTY_POPUP_LEFT_OFFSET, PROPERTY_POPUP_NEXT_TO_TOGGLE, PROPERTY_POPUP_ON_ROLLOVER, PROPERTY_POPUP_OUTSETS, PROPERTY_POPUP_TOP_OFFSET, PROPERTY_ROLLOVER_BACKGROUND, PROPERTY_ROLLOVER_BORDER, PROPERTY_ROLLOVER_ENABLED, PROPERTY_TARGET, PROPERTY_TARGET_BACKGROUND, PROPERTY_TARGET_BORDER, PROPERTY_TARGET_INSETS, PROPERTY_TARGET_ROLLOVER_BACKGROUND, PROPERTY_TARGET_ROLLOVER_BORDER, PROPERTY_TOGGLE_BACKGROUND, PROPERTY_TOGGLE_BORDER, PROPERTY_TOGGLE_ICON, PROPERTY_TOGGLE_INSETS, PROPERTY_TOGGLE_PRESSED_BACKGROUND, PROPERTY_TOGGLE_PRESSED_BORDER, PROPERTY_TOGGLE_PRESSED_ENABLED, PROPERTY_TOGGLE_PRESSED_ICON, PROPERTY_TOGGLE_ROLLOVER_BACKGROUND, PROPERTY_TOGGLE_ROLLOVER_BORDER, PROPERTY_TOGGLE_ROLLOVER_ICON`

Fields inherited from class echopointng.ComponentEx
`PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.Expandable
`EXPANDED_CHANGED_PROPERTY, PROPERTY_EXPANSION_GROUP, PROPERTY_EXPANSION_MODEL`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`DropDown()` Constructs a `DropDown` with no target component and no drop down component
`DropDown(Component targetComponent, Component dropDownComponent)` Constructs a `DropDown` with the specified target and popup component in place.

Method Summary

Methods inherited from class echopointng.PopUp
`getExpansionGroup, getExpansionModel, getPopUp, getPopUpAlignment, getPopUpAlwaysOnTop, getPopUpBackground, getPopUpBorder, getPopUpInsets, getPopUpLeftOffset, getPopUpOutsets, getPopUpTopOffset, getRolloverBackground, getRolloverBorder, getTarget, getTargetBackground, getTargetBorder, getTargetInsets, getTargetRolloverBackground, getTargetRolloverBorder, getToggleBackground, getToggleBorder, getToggleIcon, getToggleInsets, getTogglePressedBackground, getTogglePressedBorder, getTogglePressedIcon, getToggleRolloverBackground, getToggleRolloverBorder, getToggleRolloverIcon, isExpanded, isPopUpNextToToggle, isPopUpOnRollover, isRolloverEnabled, isTogglePressedEnabled, processInput, setExpanded, setExpansionGroup, setExpansionModel, setPopUp, setPopUpAlignment, setPopUpAlwaysOnTop, setPopUpBackground, setPopUpBorder, setPopUpInsets, setPopUpLeftOffset, setPopUpNextToToggle, setPopUpOnRollover, setPopUpOutsets, setPopUpTopOffset, setRolloverBackground, setRolloverBorder, setRolloverEnabled, setTarget, setTargetBackground, setTargetBorder, setTargetInsets, setTargetRolloverBackground, setTargetRolloverBorder, setToggleBackground, setToggleBorder, setToggleIcon, setToggleInsets, setTogglePressedBackground, setTogglePressedBorder, setTogglePressedEnabled, setTogglePressedIcon, setToggleRolloverBackground, setToggleRolloverBorder, setToggleRolloverIcon, validate`

Methods inherited from class echopointng.AbleComponent
`getAccessKey, getBorder, getHeight, getInsets, getMouseCursor, getMouseCursorURI, getOutsets, getToolTipText, getWidth, setAccessKey, setBorder, setHeight, setInsets, setMouseCursor, setMouseCursorURI, setOutsets, setToolTipText, setWidth`

Methods inherited from class echopointng.ComponentEx
`getAttribute, getAttributeNames, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, isHidden, setAttribute, setHidden, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### DEFAULT_ALIGNMENT

    public static final Alignment DEFAULT_ALIGNMENT

  The default alignment for the floating box is left/bottom

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

  This DEFAULT_STYLE is applied to the popup to give it a series of borders and background colors

Constructor Detail

### DropDown

    public DropDown()

  Constructs a `DropDown` with no target component and no drop down component

### DropDown

    public DropDown(Component targetComponent,
                    Component dropDownComponent)

  Constructs a `DropDown` with the specified target and popup component in place.

  Parameters:
    `targetComponent` - - the target component of the drop down
    `dropDownComponent` - - the component to be shown in the drop down box

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD